Get Information about Plan Builder Options
GET /api/common/v1/tariff-constructor/optionsBase URL: https://common-api.wildberries.ru · Module: general · Section: Seller Information · Specification doc ↗
You can get information about Plan Builder options with a token of any category.
The method returns information about all options and option packages that the seller activated in the Plan Builder.
Options included in activated packages are returned in the packages array. Options activated outside of packages are returned in the options array.
Method is available by Service token
Request limit per one seller account:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 1 request | 1 min | 10 requests |
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
locale | query | string | no | Language of the response fields: - ru — Russian - en — English |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Успешно | PlanBuilderOptionsInfo |
400 | Bad request | PlanBuilderErrors |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | Response4XX |
404 | Not found | PlanBuilderErrors |
429 | Too many requests | object |
Structure 200:
activeOptionCountnumber<int>— Number of active options not included in packagesactivePackageCountnumber<int>— Number of active option packagestotalCommissionRatenumber<float>— Final fee for activated options and packages, % of turnoverpackagesPlanBuilderPackage[]— Activated option packagesidstring<uuid>— Package IDslugstring— Package codenamestring— Package name in the language specified in thelocaleparameterstatusstring=active|pendingActivation|pendingDeactivation— Package status: -active— active -pendingActivation— activated, will start working at 00:00 the next day -pendingDeactivation— deactivated, will stop working at 00:00 the next dayactivatedAtstring— Package activation dateexpiresAtstring— End date of the minimum duration period for the package. The option package cannot be deactivated before this datecommissionRatenumber<float>— Fee for the package, % of turnoverperiodDurationnumber<int>— Minimum duration of the packageoptionsPlanBuilderOptionShort[]— Options included in the packageidstring— Option IDslugstring— Option codenamestring— Option name in the language specified in thelocaleparameter
optionsPlanBuilderOption[]— Activated optionsidstring— Option IDslugstring— Option codenamestring— Option name in the language specified in thelocaleparameterstatusstring=active|pendingActivation|pendingDeactivation— Option status: -active— active -pendingActivation— activated, will start working at 00:00 the next day -pendingDeactivation— deactivated, will stop working at 00:00 the next dayactivatedAtstring— Option activation dateexpiresAtstring— End date of the minimum duration period for the option. The option cannot be deactivated before this datecommissionRatenumber<float>— Cost of activating the option, % of turnover. Returned if the response does not contain thepromotionobjectperiodDurationnumber<int>— Minimum duration of the optionpromotionobjectcommissionRatenumber<float>— Cost of activating the option through a promo, % of turnoverexpiresAtstring— End date of the promo price
Structure 400:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codeerrorsstring[]— Request errors with specified parameters and error details
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 404:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codeerrorsstring[]— Request errors with specified parameters and error details
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
from wb_api_client.general import Configuration, ApiClient
from wb_api_client.general.api import GeneralApi
cfg = Configuration(access_token="<your WB JWT>")
api = GeneralApi(ApiClient(cfg))
result = api.get_v1_tariff_constructor_options(locale=...)
print(result)import {
Configuration,
GeneralApi,
} from "@valeryverkhoturov/wb-api-client/general";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new GeneralApi(cfg);
const { data } = await api.getV1TariffConstructorOptions(locale);
console.log(data);import (
"context"
"fmt"
wbgeneral "github.com/ValeryVerkhoturov/wb-api-client-go/general"
)
cfg := wbgeneral.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbgeneral.NewAPIClient(cfg)
result, _, err := client.GeneralAPI.GetV1TariffConstructorOptions(context.Background()).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)import io.github.valeryverkhoturov.wbapi.general.ApiClient;
import io.github.valeryverkhoturov.wbapi.general.SecretString;
import io.github.valeryverkhoturov.wbapi.general.api.GeneralApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
GeneralApi api = new GeneralApi(client);
System.out.println(api.getV1TariffConstructorOptions(locale));use ValeryVerkhoturov\WbApiClient\General\Configuration;
use ValeryVerkhoturov\WbApiClient\General\SecretString;
use ValeryVerkhoturov\WbApiClient\General\Api\GeneralApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new GeneralApi(new Client(), $config);
print_r($api->getV1TariffConstructorOptions());#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый GeneralApi(Настройки);
Сообщить(Клиент.GetV1TariffConstructorOptions().Тело);using ValeryVerkhoturov.WbApiClient.General.Api;
using ValeryVerkhoturov.WbApiClient.General.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new GeneralApi(config);
Console.WriteLine(api.GetV1TariffConstructorOptions());use wb_api_client::general::apis::{configuration::Configuration, general_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = general_api::get_v1_tariff_constructor_options(&cfg, locale).await;
println!("{:#?}", result);
}